import yargs from 'yargs/yargs';
import start from './commands/start.js';
import { loadConfig } from './config.js';
const argv = yargs(process.argv.slice(2))
    .command({
    command: 'start',
    describe: 'Start the proxy',
    handler: async () => {
        const cwd = process.cwd();
        const config = await loadConfig(cwd);
        await start({ config, cwd });
    },
})
    .demandCommand()
    .help()
    .locale('en')
    .showHelpOnFail(false).argv;
//# sourceMappingURL=index.js.map