import { DELAY_TEST_TRIES } from '../constants.js';
import { sleep } from './sleep.js';
export const testDelay = async (client, proxyName) => {
    let min = 999999;
    let max = 0;
    let avg = 0;
    let count = 0;
    for (let i = 0; i < DELAY_TEST_TRIES; i++) {
        const { delay } = await client.getDelay(proxyName);
        min = Math.min(min, delay);
        max = Math.max(max, delay);
        avg += delay;
        count++;
        await sleep(500);
    }
    return {
        min,
        max,
        avg: Math.round(avg / count),
    };
};
//# sourceMappingURL=proxy.js.map